%define upstream_name    Parallel-Scoreboard
%define upstream_version 0.07

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A simple PSGI app for monitoring the output of Parallel::Scoreboard in JSON format
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Parallel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor::Lite) >= 0.50.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Filter::Util::Call)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(JSON)
BuildRequires: perl(Sub::Uplevel)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Parallel::Scoreboard is a pure-perl implementation of a process scoreboard.
By using the module it is easy to create a monitor for many worker process,
like the status module of the Apache HTTP server.

Unlike other similar modules, Parallel::Scoreboard is easy to use and has
no limitation on the format or the length of the statuses to be stored. Any
arbitrary data (like JSON or frozen perl object) can be saved by the worker
processes as their status and read from the manager process.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.70.0-4pclos2017
- rebuild against updates

